DCMTK: DSRTreeNodeAnnotation Class Reference

DCMTK Version 3.6.9 OFFIS DICOM Toolkit

Loading...
Searching...
No Matches
Public Member Functions | Private Attributes | List of all members
DSRTreeNodeAnnotation Class Reference

Base class for tree node annotations. More...

## Public Member Functions
| DSRTreeNodeAnnotation (const OFString &text=OFString())
| (default) constructor
virtual | ~DSRTreeNodeAnnotation ()
| destructor
| operator const OFString & () const
| conversion operator that returns the currently stored annotation text
void | clear ()
| clear the currently stored annotation text
OFBool | isEqual (const DSRTreeNodeAnnotation &annotation) const
| check whether annotations are "equal".
OFBool | isNotEqual (const DSRTreeNodeAnnotation &annotation) const
| check whether annotations are "not equal".
OFBool | isEmpty () const
| check whether the annotation is empty, i.e. whether the internally stored character string (text) has an empty value
const OFString & | getText () const
| get annotation text, i.e. the internally stored character string
void | setText (const OFString &text)
| set annotation text, i.e. the internally stored character string

## Private Attributes
OFString | Text
| internally stored character strings (text)

## Detailed Description

Base class for tree node annotations.

Currently, this class supports textual annotations only.

## Constructor & Destructor Documentation

## ◆ DSRTreeNodeAnnotation()

DSRTreeNodeAnnotation::DSRTreeNodeAnnotation | ( | const OFString & | text = OFString() | ) |

(default) constructor

Parameters

  text | optional character string that should be set as the initial value of the annotation text

Referenced by isEqual(), and isNotEqual().

## Member Function Documentation

## ◆ getText()

const OFString & DSRTreeNodeAnnotation::getText | ( |  | ) | const
| inline

get annotation text, i.e. the internally stored character string

Returns
  internally stored character string (text), might be empty

References Text.

## ◆ isEmpty()

OFBool DSRTreeNodeAnnotation::isEmpty | ( |  | ) | const
| inline

check whether the annotation is empty, i.e. whether the internally stored character string (text) has an empty value

Returns
  OFTrue if the annotation is empty, OFFalse otherwise

References Text.

Referenced by DSRTree< T >::gotoNode(), and DSRTreeNodeCursor< T >::gotoNode().

## ◆ isEqual()

OFBool DSRTreeNodeAnnotation::isEqual | ( | const DSRTreeNodeAnnotation & | annotation | ) | const
| inline

check whether annotations are "equal".

Two annotations are equal, if the internally stored character strings (text) have the same value.

Parameters

  annotation | annotation that should be compared to the current one

Returns
  OFTrue if both annotations are equal, OFFalse otherwise

References DSRTreeNodeAnnotation(), and Text.

## ◆ isNotEqual()

OFBool DSRTreeNodeAnnotation::isNotEqual | ( | const DSRTreeNodeAnnotation & | annotation | ) | const
| inline

check whether annotations are "not equal".

Two annotations are not equal, if the internally stored character strings (text) have different values.

Parameters

  annotation | annotation that should be compared to the current one

Returns
  OFTrue if both annotations are not equal, OFFalse otherwise

References DSRTreeNodeAnnotation(), and Text.

## ◆ setText()

void DSRTreeNodeAnnotation::setText | ( | const OFString & | text | ) |
| inline

set annotation text, i.e. the internally stored character string

Parameters

  text | character string that should be set as the current value of the annotation text. Use an empty string ("") to delete the value.

References Text.

The documentation for this class was generated from the following file:

- dcmsr/include/dcmtk/dcmsr/dsrtnant.h

Generated on Wed Apr 30 2025 for DCMTK Version 3.6.9 by Doxygen 1.13.2